﻿<UserControl x:Class="JCHVRF_New.Views.IndoorUnitInfoView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:JCHVRF_New.Views"
             xmlns:xc="http://schemas.xceed.com/wpf/xaml/toolkit"
             xmlns:prism="http://prismlibrary.com/"
             prism:ViewModelLocator.AutoWireViewModel="True"
             mc:Ignorable="d" MinWidth="890"
               >
    <DockPanel>
        <Grid Margin="0">
            <Grid.ColumnDefinitions>
                <ColumnDefinition></ColumnDefinition>
            </Grid.ColumnDefinitions>
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
            </Grid.RowDefinitions>

            <StackPanel Orientation="Horizontal" HorizontalAlignment="Left" Grid.Row="0"  Margin="0,5,0,5">
                <Button x:Name="btnAddUnit"  Style="{StaticResource styleButtonOnFloor}"  MinHeight="30"  Margin="10,0,0,0" Background="White" Click="btnAddUnit_Click">
                    <TextBlock Text="+ Add Units"  Height="17"  Margin="2,0,2,0" FontSize="12" FontStyle="Normal"></TextBlock>
                </Button>
                <Button x:Name="btnRemove" Style="{StaticResource styleButtonOnFloor}" MinHeight="20"  Margin="10,0,0,0" 
                        Command="{Binding Path=DataContext.RemoveCommand, RelativeSource={RelativeSource Mode=FindAncestor, AncestorType={x:Type UserControl}}}"
                        Background="White">

                    <TextBlock Text="Remove"  Height="17"  Margin="2,0,2,0" FontSize="12" FontStyle="Normal"></TextBlock>
                </Button>
                <Button x:Name="btnUploadExcel" Style="{StaticResource styleButtonOnFloor}" IsEnabled="False" MinHeight="20"  Margin="10,0,0,0"  Background="White">
                    <TextBlock Text="Upload Excel"  Height="17" Margin="2,0,2,0" FontSize="12" FontStyle="Normal"></TextBlock>
                </Button>
                <Button x:Name="btnDownloadTemplete" Style="{StaticResource styleButtonOnFloor}" IsEnabled="False"  MinHeight="20"  Margin="10,0,0,0"  Background="White">
                    <TextBlock Text="Download Templete"  Height="17"  Margin="2,0,2,0" FontSize="12" FontStyle="Normal"></TextBlock>
                </Button>
            </StackPanel>

            <ScrollViewer HorizontalScrollBarVisibility="Auto" HorizontalContentAlignment="Stretch" Grid.Row="2">
                <ListView Margin="10,10,10,10" x:Name="lvUsers" ItemsSource="{ Binding SelectedIDU, Mode=TwoWay}"    >
                    <ListView.View>
                        <GridView>
                            <GridViewColumn Width="auto" Header="ChlAll">
                                <GridViewColumn.HeaderTemplate>
                                    <DataTemplate>
                                        <CheckBox HorizontalAlignment="Center" IsChecked="{Binding Path=DataContext.IsCheckAll, Mode=TwoWay, RelativeSource={RelativeSource Mode=FindAncestor, AncestorType={x:Type UserControl}}}" 
                                                  Command="{Binding Path=DataContext.SelectAllCommand, RelativeSource={RelativeSource Mode=FindAncestor, AncestorType={x:Type UserControl}}}" />

                                    </DataTemplate>
                                </GridViewColumn.HeaderTemplate>
                                <GridViewColumn.CellTemplate>
                                    <DataTemplate>
                                        <CheckBox HorizontalAlignment="Center" IsChecked="{Binding IsChecked, Mode=TwoWay}"  Command="{Binding DataContext.SelectCommand, RelativeSource={RelativeSource AncestorType={x:Type ListView}}}" CommandParameter="{Binding}"/>
                                    </DataTemplate>
                                </GridViewColumn.CellTemplate>
                            </GridViewColumn>
                            <!-- Unit Name-->
                            <GridViewColumn Header="UnitName" Width="Auto">
                                <GridViewColumn.CellTemplate>
                                    <DataTemplate>
                                        <TextBox Text="{Binding RoomIndoor.IndoorName}" TextDecorations="Underline" Foreground="Blue" Cursor="Hand" />  
                                    </DataTemplate>
                                </GridViewColumn.CellTemplate>
                            </GridViewColumn>

                            <!-- Model -->

                            <GridViewColumn Header="Model" Width="Auto">
                                <GridViewColumn.CellTemplate>
                                    <DataTemplate>
                                        <TextBlock Text="{Binding RoomIndoor.IndoorName}" TextDecorations="Underline" Foreground="Blue" Cursor="Hand" />
                                    </DataTemplate>
                                </GridViewColumn.CellTemplate>
                            </GridViewColumn>

                            <!-- Capacity -->
                            <GridViewColumn Header="Capacity" Width="400">
                                <GridViewColumn.HeaderTemplate>
                                    <DataTemplate>
                                        <Grid>
                                            <Grid.ColumnDefinitions>
                                                <ColumnDefinition Width="80"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                                <ColumnDefinition Width="100"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                            </Grid.ColumnDefinitions>
                                            <Grid.RowDefinitions>
                                                <RowDefinition Height="Auto"/>
                                                <RowDefinition Height="Auto"/>
                                            </Grid.RowDefinitions>
                                            <StackPanel Grid.Row="0" Grid.ColumnSpan="4" Margin="5">
                                                <TextBlock Text="Capacity" Height="17" FontSize="12" HorizontalAlignment="Center"/>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="0" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" TextWrapping="Wrap"  FontSize="12">
                                 <Run  Text="Cooling"/>
                                 <LineBreak/>
                                 <Run BaselineAlignment="Center"  Text="(kw)"/>
                                                </TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="1"  Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left">
                                             <Run Text="Sensible"/>
                                             <LineBreak/>
                                             <Run BaselineAlignment="Center"  Text="(kw)"/>
                                                </TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="2" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left">
                                 <Run Text="Heating"/>
                                 <LineBreak/>
                                 <Run BaselineAlignment="Center" Text="(kw)"/>
                                                </TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="3" Margin="0,0,0,0">
                                                <TextBlock HorizontalAlignment="Center">
                                 <Run Text="Air Flow"/>
                                 <LineBreak/>
                                 <Run BaselineAlignment="Center"  Text="m3" Typography.Variants="Superscript"/>
                                                     <Run BaselineAlignment="Center"  Text="/ Min"/>
                                                </TextBlock>
                                            </StackPanel>

                                        </Grid>
                                    </DataTemplate>
                                </GridViewColumn.HeaderTemplate>
                                <GridViewColumn.CellTemplate  >
                                    <DataTemplate>
                                        <Grid Width="400">
                                            <Grid.ColumnDefinitions>
                                                <ColumnDefinition Width="80"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                                <ColumnDefinition Width="100"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                            </Grid.ColumnDefinitions>
                                            <Grid.RowDefinitions>
                                                <RowDefinition Height="Auto"/>
                                            </Grid.RowDefinitions>

                                            <StackPanel Grid.Row="0" Grid.Column="0" Margin="0,0,0,0">
                                                <TextBlock Text="{Binding RoomIndoor.RqCoolingCapacity}"  HorizontalAlignment="Left" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="1" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" Text="{Binding RoomIndoor.RqSensibleHeat}" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="2" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" Text="{Binding RoomIndoor.RqHeatingCapacity}" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="3" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" Text="{Binding RoomIndoor.RqFreshAir}" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>

                                        </Grid>
                                    </DataTemplate>
                                </GridViewColumn.CellTemplate>
                            </GridViewColumn>

                            <!--Temperature-->
                            <GridViewColumn Header="Temperature" Width="400">
                                <GridViewColumn.HeaderTemplate>
                                    <DataTemplate>
                                        <Grid>
                                            <Grid.ColumnDefinitions>
                                                <ColumnDefinition Width="80"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                                <ColumnDefinition Width="100"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                            </Grid.ColumnDefinitions>
                                            <Grid.RowDefinitions>
                                                <RowDefinition Height="Auto"/>
                                                <RowDefinition Height="Auto"/>
                                            </Grid.RowDefinitions>
                                            <StackPanel Grid.Row="0" Grid.ColumnSpan="4" Margin="5">
                                                <TextBlock Text="Temperature" Height="17" FontSize="12" HorizontalAlignment="Center"/>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="0" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" TextWrapping="Wrap"  FontSize="12">
                                 <Run  Text="Cooling Dry"/>
                                 <LineBreak/>
                                                    <Run  Text="Bulb"/>
                                 <Run BaselineAlignment="Center"  Text="&#176;C"/> <!-- TODO : this needs to come from measurment unit settings -->
                                                </TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="1"  Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left">
                                             <Run Text="Cooling Wet"/>
                                              <LineBreak/>
                                                    <Run  Text="Bulb"/>
                                             <Run BaselineAlignment="Center"  Text="&#176;C"/> <!-- TODO : this needs to come from measurment unit settings -->
                                                </TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="2" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left">
                                 <Run Text="Cooling Relative"/>
                                 <LineBreak/>
                                                     <Run Text="Humidity"/>
                                 <Run BaselineAlignment="Center"  Text="(%)"/>
                                                </TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="3" Margin="0,0,0,0">
                                                <TextBlock HorizontalAlignment="Center">
                                 <Run Text="Heating Dry"/>
                                 <LineBreak/>
                                                     <Run Text="bulb"/>
                                 <Run BaselineAlignment="Center"  Text="&#176;C"/> <!-- TODO : this needs to come from measurment unit settings -->
                                                </TextBlock>
                                            </StackPanel>

                                        </Grid>
                                    </DataTemplate>
                                </GridViewColumn.HeaderTemplate>
                                <GridViewColumn.CellTemplate>
                                    <DataTemplate>
                                        <Grid Width="400">
                                            <Grid.ColumnDefinitions>
                                                <ColumnDefinition Width="80"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                                <ColumnDefinition Width="100"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                            </Grid.ColumnDefinitions>
                                            <Grid.RowDefinitions>
                                                <RowDefinition Height="Auto"/>
                                            </Grid.RowDefinitions>

                                            <StackPanel Grid.Row="0" Grid.Column="0" Margin="0,0,0,0">
                                                <TextBlock Text="{Binding RoomIndoor.DBCooling}"  HorizontalAlignment="Left" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="1" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" Text="{Binding RoomIndoor.WBCooling}" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="2" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" Text="{Binding RoomIndoor.RHCooling}" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="3" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" Text="{Binding RoomIndoor.DBHeating}" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>

                                        </Grid>
                                    </DataTemplate>
                                </GridViewColumn.CellTemplate>
                            </GridViewColumn>
                        </GridView>
                    </ListView.View>
                </ListView>
            </ScrollViewer>
        </Grid>
    </DockPanel>
</UserControl>
